@version 2.5
@warnings
@script modeler
@name "ef Pick Surface"
@define VERSION 1.3

main
{
	selmode(DIRECT);
	polyCount = polycount();
	polyCount = polyCount[1]; 
	if(!polyCount) { info("No polygon selected."); return; }

	editbegin();
		polygon = polygons[polyCount]; //last polygon
		surface = polygon.surface;
		layerIndex = polygon.layer;
	editend();
	
	mesh = nil;
	for(m=Mesh(1); m && !mesh; m=m.next()) {
		if(m.layerVisible(layerIndex) && m.layer(polygon)==layerIndex) {
			mesh = m;
		}
	}
	if(!mesh) { error("Invalid mesh."); return; }

	command = format("Surf_SetSurf $1 $2", ("\""+surface+"\""), mesh.filename?("\""+mesh.filename+"\""):("\""+mesh.name+"\"") ); //filename for saved files, name for unsaved
	CommandInput(command);
	CommandInput("Surf_OpenWindow");
}